Subject: Re: bug#842: initscripts bug - /etc/init.d/rc.local does not run /etc/rc.shutdown on shutdown

From: Mark Hindley <[email-masked]>
Date: Wed, 20 Mar 2024 09:24:22 +0000

Control: reassign -1 initscripts 3.06-4devuan3

Thanks

On Wed, Mar 20, 2024 at 01:15:29AM +0100, [email-masked] wrote:
> Package: initscriptsVersion: 3.06-4devuan3
> The header field for Default-Stop in rc.local is empty so do_stop is never run which means /etc/rc.shutdown isn't run either.
> Modifying these lines thus:
> 
> # Required-Stop :        $all
> # Default-Stop:            0 6
> 
> then running:
> # update-rc.d -f rc.local remove
> # update-rc.d rc.local defaults
> 
> saw it begin to work as expected, don't know if that exact change is ideal for
> all circumstances, but something like that seems to be required.

I added support for rc.shutdown as prompted in #959860[1]. But, I agree,
updating Default-Stop in the LSB header appears to be an omission.

Does anybody see a problem with changing this?

> Also "aptitude show initscripts" says the homepage for the package is
> https://github.com/slicer69/sysvinit but the initscripts aren't hosted there,
> only the sysvinit package itself.

Hmm, that is because bin:initscripts is built from src:sysvinit. I am not sure
that can be easily fixed without separating it out.

[1]  https://bugs.debian.org/959860